var Meepo_utility = {};
Meepo_utility.array_search = function(a, c, b) {
	for (var d in a) {
		if (a[d][b] == c) {
			return a[d]
		}
	}
	return null
};
Meepo_utility.array_remove = function(a, d, c) {
	for (var b = 0; b < a.length; b++) {
		if (d == a[b][c]) {
			return a.splice(b, 1)[0]
		}
	}
	return null
};
Meepo_utility.array_sort = function(a, b) {
	function c() {
		return function(f, d) {
			var g = f[b];
			var e = d[b];
			return e - g
		}
	}
	a.sort(c())
};
Meepo_utility.get_array_by_value = function(b, f, e) {
	var c = [];
	for (var d = 0; d < b.length; d++) {
		if (b[d].hasOwnProperty(e) && f == b[d][e]) {
			c.push(b[d])
		}
	}
	return c
};
Meepo_utility.get_random_array = function(b, f) {
	var a = b.length;
	if (a <= f) {
		return b
	}
	var d = [];
	for (var e = 0; e < a; e++) {
		d[e] = e
	}
	d.sort(function() {
		return 0.5 - Math.random()
	});
	var c = [];
	for (e = 0; e < f; e++) {
		c.push(b[d[e]])
	}
	return c
};
Meepo_utility.delegate = function(b, a) {
	return function() {
		return a.apply(b, arguments)
	}
};
Meepo_utility.getRandom = function(d, a) {
	var b = a - d;
	var c = Math.random() * b + d;
	return parseInt(c, 10)
};
Meepo_utility.startCountdown = function(c, e, d, a) {
	var b = setInterval(function() {
		c -= e;
		if (c <= 0) {
			clearInterval(b);
			if (a) {
				a(0)
			}
		} else {
			if (d) {
				d(c)
			}
		}
	}, e * 1000)
};
Meepo_utility.getUrlParams = function() {
	var j = {};
	var f = window.location.href;
	var b = f.indexOf("?");
	if (b > 0) {
		var h = f.substring(b + 1);
		var e = h.split("&");
		for (var g = 0, c, d; c = e[g]; g++) {
			d = e[g] = c.split("=");
			j[d[0]] = d.length > 1 ? d[1] : true
		}
	}
	return j
};
Meepo_utility.doRequest = function(a, c, b) {
	$.ajax({
		url: a + "/?r=" + Math.random(),
		data: c,
		type: "POST",
		success: function(d) {
			if (b) {
				b(d)
			}
		},
		error: function() {
			if (b) {
				b({
					code: 500,
					msg: "网络发生异常，请检查网络！"
				})
			}
		}
	})
};
// var _meepoajax = {
// 	_ajax:function(ajaxInfo){
// 		var i = _meepoajax._querystring('i');
// 		var j = _meepoajax._querystring('j');
// 		var url = './index.php?i='+i+'&j='+j+'&c=entry&do='+ajaxInfo.do_it+'&m=meepo_xianchang';
// 		var defaultInfo = {
//             type: "GET",                       
//             dataType: 'JSON',      
//             cache: false,
//             urlPata: {},
//             formPata: {},
//             success: function() {
//             } //成功后显示debug信息。也可以增加自己的处理程序
//         };
//         //补全ajaxInfo
//         if (typeof ajaxInfo.dataType == "undefined") {
//             ajaxInfo.dataType = defaultInfo.dataType;
//         }
//         if (typeof ajaxInfo.formPata == "undefined") {
//             ajaxInfo.type = "GET";
//         } else {
//             if (ajaxInfo.dataType == "json") {
//                 ajaxInfo.type = "POST";
//             } else {    
//                 ajaxInfo.type = "POST";
//             }
//             ajaxInfo.data = ajaxInfo.formPata;
//         }
// 		$.ajax({
//             type: ajaxInfo.type,
//             dataType: ajaxInfo.dataType,
//             cache: ajaxInfo.cache,
//             xhrFields: {
//                 //允许跨域访问时添加cookie
//                 withCredentials: true
//             },
//             url: url,  
//             data: ajaxInfo.data,
//             success: function (data) {
//                   ajaxInfo.success(data);
//             }
//         });
// 	},
// 	_querystring : function(name){ 
// 		var result = location.search.match(new RegExp("[\?\&]" + name+ "=([^\&]+)","i")); 
// 		if (result == null || result.length < 1){ 
// 			return "";
// 		}
// 		return result[1]; 
// 	}
// };
// var _loading_toast= {
//     _center: function() {
// 		var _left = ($(window).width() - $("#toast").outerWidth()) / 2 + "px";
//         $("#toast").css({
//             "bottom": "20%",
//             "left": _left
//         });
//     },
//     _show: function(text, fun) {
//         $("#toast").html(text);
//         _loading_toast._center();
//         $("#toast").show();
//         $("#toast").bind("resize", _loading_toast._center);
//         setTimeout(function() {
//             _loading_toast._hide(fun);
//         }, 3 * 1000);
//     },
//     _hide: function(fun) {
//         $("#toast").hide();
//         $("#toast").unbind("resize");
//         if (fun) {
//             (fun)();
//         }
//     }
// };
// var _common= {
//     _trim: function(text) {
//         return text.replace(/(^\s*)|(\s*$)/g, "");
//     }
// };
// function e(e) {
// 	var t;
// 	t = e ? new Date(1e3 * e) : new Date;
// 	var n = t.getFullYear(),
// 	s = t.getMonth() + 1,
// 	o = t.getDate(),
// 	a = t.getHours(),
// 	r = t.getMinutes(),
// 	m = t.getSeconds();
// 	return 10 > a && (a = "0" + a),10 > r && (r = "0" + r),10 > m && (m = "0" + m),
// 	{
// 		year: n,
// 		month: s,
// 		day: o,
// 		hours: a,
// 		minute: r,
// 		seconds: m
// 	}
// }
// function t(e) {
// 	for (var t = 0; t < e.length; t++) {
// 		var s = e[t],
// 		o = s.ts;
// 		if (0 === t) s.time = n(o),
// 		s.ifShowTime = !0;
// 		else {
// 			var a = e[t - 1].ts;
// 			o - a > S ? (s.time = n(o), s.ifShowTime = !0) : (s.time = "", s.ifShowTime = !1)
// 		}
// 	}
// 	return e
// }
// function n(t) {
// 	var n, s = e(),
// 	o = e(t);
// 	return n = s.year != o.year || s.month != o.month || s.day - o.day > 1 ? o.year.toString() + "年" + o.month.toString() + "月" + o.day.toString() + "日 " + o.hours.toString() + ":" + o.minute.toString()+":"+ o.seconds.toString() : s.day - o.day === 1 ? "昨天 " + o.hours.toString() + ":" + o.minute.toString()+":"+ o.seconds.toString() : o.hours.toString() + ":" + o.minute.toString()+":"+ o.seconds.toString()
// }
function reloadUrl(url,key){
	var key= (key || 't') +'='; 
	var reg=new RegExp(key+'\\d+');  
	var timestamp=+new Date();
	if(url.indexOf(key)>-1){ 
		return url.replace(reg,key+timestamp);
	}else{  
		if(url.indexOf('\?')>-1){
			var urlArr=url.split('\?');
			if(urlArr[1]){
				return urlArr[0]+'?'+key+timestamp+'&'+urlArr[1];
			}else{
				return urlArr[0]+'?'+key+timestamp;
			}
		}else{
			if(url.indexOf('#')>-1){
				return url.split('#')[0]+'?'+key+timestamp+location.hash;
			}else{
				return url+'?'+key+timestamp;
			}
		}
	}
}
function showtipsbox(content,time){
	 if("undefined" == typeof time || time=='' || time <=0 || time==false){ 
		  time = 1;
	 }
     $(document).minTipsBox({
                tipsContent: content,
                tipsTime: time
     }); 
}
;(function($) {
          $.fn.extend({
            "minTipsBox": function(options) {
              options = $.extend({
                tipsContent: "",
                //提示内容
                tipsTime: 1 //停留时间 , 1 等于 1秒
              },
              options);
              var $minTipsBox = ".min_tips_box";
              var $tipsContent = ".min_tips_box .tips_content";
              var $tipsTime = parseFloat(options.tipsTime) * 1000;
              //弹出框html代码
              var $minTipsBoxHtml = '<div class="min_tips_box">' + '<b class="bg"></b>' + '<span class="tips_content"></span>' + '</div>';
              //判断是否有提示框
              if ($($minTipsBox).length > 0) {
                $($minTipsBox).show();
                resetBox();
                setTimeout(function() {
                  $($minTipsBox).hide();
                },
                $tipsTime);
              } else {
                $($minTipsBoxHtml).appendTo("body");
                resetBox();
                setTimeout(function() {
                  $($minTipsBox).hide();
                },
                $tipsTime);
              }
              //重置提示框属性
              function resetBox() {

                $($tipsContent).html(options.tipsContent);
                var tipsBoxLeft = $($tipsContent).width() / 2 + 10;
                $($tipsContent).css("margin-left", "-" + tipsBoxLeft + "px");
              }
            }
          });
})(jQuery);
;(function($) {
$.fn.extend({
    animateControl: function (a,fn) {
        this.addClass('animated ' + a).one('webkitAnimationEnd mozAnimationEnd MSAnimationEnd oanimationend animationend', function() {
			if(fn){
				fn();
			}
			$(this).removeClass('animated ' + a);
        });
        return this;
    }
});
})(jQuery);